# TdApi.SetCustomEmojiStickerSetThumbnail (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetCustomEmojiStickerSetThumbnail

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetCustomEmojiStickerSetThumbnail

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetCustomEmojiStickerSetThumbnail

Enclosing class:
  TdApi

public static final class TdApi.SetCustomEmojiStickerSetThumbnail extends TdApi.Function<TdApi.Ok>
Sets a custom emoji sticker set thumbnail; for bots only. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`customEmojiId`
Identifier of the custom emoji from the sticker set, which will be set as sticker set thumbnail; pass 0 to remove the sticker set thumbnail.
`String`
`name`
Sticker set name.

## Constructor Summary

Constructors
Constructor
Description
`SetCustomEmojiStickerSetThumbnail()`
Sets a custom emoji sticker set thumbnail; for bots only.
`SetCustomEmojiStickerSetThumbnail(DataInput input)`
Sets a custom emoji sticker set thumbnail; for bots only.
`SetCustomEmojiStickerSetThumbnail(String name, long customEmojiId)`
Sets a custom emoji sticker set thumbnail; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name
Sticker set name.

### customEmojiId

public long customEmojiId
Identifier of the custom emoji from the sticker set, which will be set as sticker set thumbnail; pass 0 to remove the sticker set thumbnail.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetCustomEmojiStickerSetThumbnail

public SetCustomEmojiStickerSetThumbnail()
Sets a custom emoji sticker set thumbnail; for bots only. Returns `Ok`

### SetCustomEmojiStickerSetThumbnail

public SetCustomEmojiStickerSetThumbnail(String name, long customEmojiId)
Sets a custom emoji sticker set thumbnail; for bots only. Returns `Ok`

Parameters:
  `name` - String Sticker set name.
  `customEmojiId` - long Identifier of the custom emoji from the sticker set, which will be set as sticker set thumbnail; pass 0 to remove the sticker set thumbnail.

### SetCustomEmojiStickerSetThumbnail

public SetCustomEmojiStickerSetThumbnail(DataInput input) throws IOException
Sets a custom emoji sticker set thumbnail; for bots only. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`